Subject: Current status of the quota specification

From: "Jim Whitehead" <[email-masked]>
Date: Mon, 29 Sep 2003 13:47:52 -0700

All,

It seems that we're not making additional progress on the quota
specification.

My recollection from talking to Lisa is that another version of the
specification is ready to be submitted as an Internet-Draft. Is there belief
that we could start a WG last call on this draft once it was issued, or are
there still outstanding issues (or do you need to read the next draft to
determine this).

I think we're very close to completion on this work, it just needs a little
bit of additional work to bring it to completion.

- Jim

---

From: Brian Korver <[email-masked]>
Date: Mon, 29 Sep 2003 14:18:23 -0700

draft-ietf-webdav-quota-03.txt was submitted on 9/4, but since
it's not up on the IETF site I just resubmitted it.

-brian
[email-masked]

---

From: "Julian Reschke" <[email-masked]>
Date: Tue, 30 Sep 2003 08:25:59 +0200

Jim,

my concern with the quota specification is that everytime we discuss is,
Stefan, myself and others are raising concerns about semantics and
complexity of the spec, even suggesting much easier approaches that should
cover the use cases we've seen equally well (see thread starting with [1]).

I'd say that the lack of progress is mainly caused by these concerns not
being appropriately addressed. In particular as this is now a WebDAV working
group activity, I'd like to see a

- known-issues list (like it should be present for any working group draft)
and
- public discussion of changes *before* a new draft is submitted

Right now the draft seems to be handled like a private submission with very
limited visibility to the (interested parts of the) working group, and this
is really a shame.

Julian

[1] <http://lists.w3.org/Archives/Public/w3c-dist-auth/2003JanMar/0314.html>

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Jim Whitehead
> Sent: Monday, September 29, 2003 10:48 PM
> To: WebDAV
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked]; Lisa Dusseault
> Subject: Current status of the quota specification
>
>
>
> All,
>

---

From: Brian Korver <[email-masked]>
Date: Tue, 30 Sep 2003 10:51:09 -0700

Julian,

I didn't realize there were any known issues.  Unless I'm mistaken,
the only "fix" that didn't get into -03 was a suggestion by you
to add an additional definition, and I was waiting from text from
you for that.

Also note that there were no changes made that were not discussed
on the list.

-brian
[email-masked]

On Monday, September 29, 2003, at 11:25  PM, Julian Reschke wrote:
> [1]  
> <http://lists.w3.org/Archives/Public/w3c-dist-auth/2003JanMar/ 
> 0314.html>
>
> --

---

From: "Julian Reschke" <[email-masked]>
Date: Tue, 30 Sep 2003 20:05:50 +0200

> [mailto:[email-masked]]On Behalf Of Brian Korver
> Sent: Tuesday, September 30, 2003 7:51 PM
> To: Julian Reschke
> Cc: WebDAV
> Subject: Re: Current status of the quota specification
>
>
>
> Julian,
>

In which case we should go through all the mails that were exchanged between
January and March.

For instance:

<http://lists.w3.org/Archives/Public/w3c-dist-auth/2003JanMar/0437.html>

<http://lists.w3.org/Archives/Public/w3c-dist-auth/2003JanMar/0456.html>

<http://lists.w3.org/Archives/Public/w3c-dist-auth/2003JanMar/0438.html>

<http://lists.w3.org/Archives/Public/w3c-dist-auth/2003JanMar/0444.html>

<http://lists.w3.org/Archives/Public/w3c-dist-auth/2003JanMar/0460.html>

<http://lists.w3.org/Archives/Public/w3c-dist-auth/2003JanMar/0458.html>

> Also note that there were no changes made that were not discussed

Obviously there weren't any changes. No new draft was posted to the list or
published by the IETF. So could you please update the working group about
what the current draft is, and how it differs from the last published one
(which is the -01 draft published on March 07)?

Regards,

Julian

---

From: Chris Knight <[email-masked]>
Date: Tue, 30 Sep 2003 11:16:14 -0700

>(which is the -01 draft published on March 07)?

And can the current draft be posted to the working group web page under 
the "current draft documents" section? I have no idea what state the 
current draft is in. Thanks!

---

From: Brian Korver <[email-masked]>
Date: Tue, 30 Sep 2003 11:56:18 -0700

On Tuesday, September 30, 2003, at 11:05  AM, Julian Reschke wrote:
> 0437.html>
> 0456.html>
> 0438.html>
> 0444.html>
> 0460.html>
> 0458.html>

The status of the draft is that it has been submitted.  That should
result in it being posted on the IETF site RSN.

-brian
[email-masked]